#include <iostream>
using namespace std;
int main()
{
	
    double a,b,c,a1,b1,c1,max,min,sr;
    cin>>a>>b>>c;
    a1=a;
    b1=b;
    c1=c;
    if(a==1)
    {
    	a=a/10;
	}
	if(b==1)
    {
    	b=b/10;
	}
	if(c==1)
    {
    	c=c/10;
	}
    while(a>1)
    {
    	a=a/10;
	}
	while(b>1)
    {
    	b=b/10;
	}
	while(c>1)
    {
    	c=c/10;
	}
	
	if((a>b)&& (a>c))
	{	
		if(b>c)
		{
		min=c1;
		sr=b1;
		max=a1;
		}
		else
		{
		min=b1;
		sr=c1;
		max=a1;	
		}
	}
	else if ((b>c)&& (b>a))
	{
		if(a>c)
		{
		min=c1;
		sr=a1;
		max=b1;
		}
		else
		{
		min=a1;
		sr=c1;
		max=b1;	
		}
	}
	else if ((c>a)&& (c>b))
	{
		if(a>b)
		{
		min=b1;
		sr=a1;
		max=c1;
		}
		else
		{
		min=a1;
		sr=b1;
		max=c1;	
		}
	}

	cout<<max<<sr<<min;
	
}